be.fgov.ehealth.technicalconnector.ra.domain

## Class RevocationRequest

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.domain.Request
  - - be.fgov.ehealth.technicalconnector.ra.domain.RevocationRequest

- All Implemented Interfaces:
    Serializable

      public final class RevocationRequest
      extends Request
      implements Serializable

  The information to contact the owner of an eHealth certificate and ETK.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevocationRequest(byte[] publicKeyIdentifier, GeneratedRevocationContract contract)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GeneratedRevocationContract` | `getContract()`
    `byte[]` | `getPublicKeyIdentifier()`
    `boolean` | `isContractViewed()`
    `void` | `setContractViewed(boolean contractViewed)`

    - ### Methods inherited from class be.fgov.ehealth.technicalconnector.ra.domain.Request

      `equals, getId, getRequestor, hashCode`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevocationRequest

          public RevocationRequest(byte[] publicKeyIdentifier,
                                   GeneratedRevocationContract contract)
                            throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### getPublicKeyIdentifier

          public byte[] getPublicKeyIdentifier()

    - #### getContract

          public GeneratedRevocationContract getContract()

    - #### isContractViewed

          public boolean isContractViewed()

    - #### setContractViewed

          public void setContractViewed(boolean contractViewed)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.